<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:ct="http://www.chartistjsf.org/charts"
	xmlns:c="http://java.sun.com/jstl/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	<h:head>
		<h:outputStylesheet library="css" name="main.css" />
	</h:head>
	<!-- NO LONGER IN USE! -->
	<h:body>
		<h:form id="mainForm" rendered="#{ideasBean.ideas != null}">
			<h3>A total of #{ideasBean.ideasCount} ideas have been submitted:</h3>
			<p:accordionPanel id="ideasPanel"  value="#{ideasBean.ideas}" var="idea">
			    <p:ajax event="tabChange" listener="#{ideasBean.onTabChange}" />
				<p:tab title="#{idea.title}" id="tab">
					<p:panelGrid columns="2" cellpadding="5" id="panelgrid">
						<f:facet name="header">
							<p:graphicImage value="#{idea.titleImgRef}"/>
						</f:facet>
						<h:outputText value="Short Description" style="font-weight: normal"/>
						<h:outputText value="#{idea.shortdescription}" />
						<h:outputText value="Description" style="font-weight: normal" />
						<h:outputText value= "#{idea.description}"/>
						<ui:repeat value="#{ideasBean.getCommentForIdea(idea)}" var="entry">
							<p:graphicImage value="#{ideasBean.getUserProfilePictureByUserId(entry.userId)}" />
							<p:separator/>
						</ui:repeat>
						<ui:repeat value="#{ideasBean.getCommentForIdea(idea)}" var="entry">
							<h:outputText value="User #{entry.userId}  wrote : #{entry.commentText}" />
							<p:separator/>
						</ui:repeat>
					</p:panelGrid>
						<div align="right">
							<p:menuButton id="ideaOptions" value="Options">
								<p:menuitem value="Comment" onclick="PF('commentModal').show();" icon="ui-icon-comment" />
								<p:menuitem value="Edit"  icon="ui-icon-fa-edit" />
								<p:menuitem value="Delete" icon="ui-icon-close" onclick="PF('deleteModal').show();"/>
							</p:menuButton>
						</div>
				</p:tab>
			</p:accordionPanel>
			<p:dialog header="Your Comment:" id="cModal" widgetVar="commentModal" modal="true" height="600" width="800" autoResize="false">
				<h:panelGrid columns="1" cellpadding="5">
					<p:inputTextarea rows="15" cols="60" id="commentTextArea"
						value="#{ideasBean.comment}" counter="counterDisplay"
						maxlength="1000" counterTemplate="{0} characters remaining."
						required="true" />
					<h:outputText id="counterDisplay" />
					<p:separator />
					<center>
						<p:commandButton value="Submit" id="submitBtn" onclick="PF('commentModal').hide();" actionListener="#{ideasBean.saveComment()}" styleClass="ui-priority-primary">
						</p:commandButton>
					</center>
				</h:panelGrid>
			</p:dialog>
			<p:dialog header="Are you sure about deleting this idea?" id="dModal" widgetVar="deleteModal" modal="true" height="200" width="600" autoResize="true" resizeable="false">
			<h:panelGrid columns="2" cellpadding="5">
        		<p:commandButton value="Yes" id="yesBtn" onclick="PF('deleteModal').hide();" actionListener="#{ideasBean.deleteIdea()}" styleClass="ui-priority-primary"/>
        		<p:commandButton value="No" id="noBtn" onclick="PF('deleteModal').hide();" styleClass="ui-priority-primary"/>
        		</h:panelGrid>
   			 </p:dialog>
		</h:form>
	</h:body>
</f:view>